# TODO:
# - move whole amavis-related stuff to it's own spec. trigger is needed...
#
Summary:	A utility for removing files based on when they were last accessed
Summary(de.UTF-8):	Utility zum Entfernen von Dateien, basierend auf ihrer Zugriffszeit
Summary(es.UTF-8):	Limpia archivos en directorios basado en sus edades
Summary(fr.UTF-8):	Nettoie les fichiers dans les répertoires en fonction de leur age
Summary(pl.UTF-8):	Narzędzie kasujące pliki w oparciu o czas ostatniego dostępu
Summary(pt_BR.UTF-8):	Limpa arquivos em diretórios baseado em suas idades
Summary(ru.UTF-8):	Утилита удаления файлов по критерию давности последнего доступа
Summary(uk.UTF-8):	Утиліта видалення файлів за критерієм давності останнього доступу
Name:		tmpwatch
Version:	2.11
Release:	12
License:	GPL v2
Group:		Applications/System
Source0:	https://releases.pagure.org/tmpwatch/%{name}-%{version}.tar.bz2
# Source0-md5:	9ea7e169296eb1196b80fe05bba1cbd0
Source1:	%{name}.sysconfig
Source2:	%{name}.cron
Source3:	%{name}.conf
Source4:	%{name}.crontab
Source5:	cronjob-%{name}.timer
Source6:	cronjob-%{name}.service
Patch0:		%{name}-boottime.patch
URL:		https://pagure.io/tmpwatch
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.644
Requires:	systemd-units >= 38
Suggests:	cronjobs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time. tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp). tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%description -l de.UTF-8
Das tmpwatch-Utility sucht rekursiv durch angegebene Verzeichnisse und
entfernt Dateien, die in einer angegebenen Zeitspanne nicht benutzt
wurden. Tmpwatch wird normalerweise benutzt, um Verzeichnisse
aufzuräumen, in denen temporäre Dateien gelagert werden (z.B. /tmp).
Tmpwatch ignoriert symlinks, wechselt kein Filesystem und entfernt nur
normale Dateien und leere Verzeichnisse.

%description -l es.UTF-8
Este paquete nos ofrece un programa que puede ser usado para limpiar
directorios. Periódicamente remueve el directorio (ignorando symlinks)
y elimina archivos que no fueron accedidos en un tiempo especificado
por el usuario.

%description -l fr.UTF-8
Ce paquetage offre un programme permettant de nettoyer les
répertoires. Il recherche récursivement dans le répertoire (en
ignorant les liens symboliques) et supprime les fichiers qui n'ont pas
été accédés depuis une période donnée.

%description -l pl.UTF-8
tmpwatch rekursywnie przeszukuje wyspecyfikowane katalogi szukając
plików, które nie były używane przez określony okres czasu, w celu ich
usunięcia. Jest on zazwyczaj używany do czyszczenia katalogów w
których przechowywane są pliki tymczasowe (na przykład /tmp). tmpwatch
ignoruje symlinki, nie zmienia systemu plików podczas przeszukiwania
katalogów, usuwa tylko puste katalogi i zwyczajne pliki.

%description -l pt_BR.UTF-8
Este pacote oferece um programa que pode ser usado para limpar
diretórios. Ele periodicamente vasculha o diretório (ignorando
symlinks) e remove arquivos que não foram acessados em um tempo
especificado pelo usuário.

%description -l tr.UTF-8
Bu paket, dizinleri temizleyen bir program içerir. Simgesel bağları
gözönüne almadan dizinleri rekürsif olarak arar ve kullanıcının
önceden belirlediği bir sürede erişilmemiş olanları siler.

%description -l ru.UTF-8
Утилита tmpwatch рекурсивно удаляет в указанных каталогах файлы, к
которым не было доступа указанное время. Обычно используется для
очистки каталогов, хранящих временные файлы (например, /tmp). Эта
утилита игнорирует симлинки, не переходит на другие файловые системы и
удаляет только пустые каталоги и обычные (не специальные) файлы.

%description -l uk.UTF-8
Утиліта tmpwatch рекурсивно видаляє у вказаних каталогах файли, до
яких не було доступу вказаний час. Звичайно використовується для
очистки каталогів, що зберігають тимчасові файли (наприклад, /tmp). Ця
утиліта ігнорує симлінки, не переходить на інші файлові системи і
видаляє тільки порожні каталоги та звичайні (не спеціальні) файли.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--sbindir=%{_bindir} \
	--with-fuser=/bin/fuser
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,sysconfig,%{name}},%{_prefix}/lib,%{_sbindir},%{systemdunitdir}}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s ../bin/tmpwatch $RPM_BUILD_ROOT%{_sbindir}/tmpwatch

cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/cron.d/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/tmpwatch/common.conf
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_prefix}/lib/tmpwatch

cp -p %{SOURCE5} %{SOURCE6} $RPM_BUILD_ROOT%{systemdunitdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post cronjob-%{name}.timer

%preun
%systemd_preun cronjob-%{name}.timer

%postun
%systemd_reload

%triggerpostun -- %{name} < 2.11-10
%systemd_service_enable cronjob-%{name}.timer

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/tmpwatch
%attr(755,root,root) %{_bindir}/tmpwatch
%attr(755,root,root) %{_prefix}/lib/tmpwatch
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/tmpwatch
%{_mandir}/man8/tmpwatch.8*
%{systemdunitdir}/cronjob-%{name}.service
%{systemdunitdir}/cronjob-%{name}.timer
%changelog
* Fri Sep 01 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tmpwatch.git;a=log;h=master

* Fri Sep 01 2017 Elan Ruusamäe <glen@pld-linux.org> 0408dc8
- use single quote escape that actually works

* Mon Aug 28 2017 Elan Ruusamäe <glen@pld-linux.org> a0d5344
- globs need escaping in conf too

* Tue Aug 22 2017 Elan Ruusamäe <glen@pld-linux.org> 54ae5c6
- move /tmp tmpwatch to config

* Wed Apr 19 2017 Elan Ruusamäe <glen@delfi.ee> 2f40977
- keep java hsperfdata files

* Wed Apr 19 2017 Elan Ruusamäe <glen@delfi.ee> a931434
- reformat for better diffs

* Mon Apr 10 2017 Elan Ruusamäe <glen@delfi.ee> 96d902b
- drop migration from 2.11-2

* Fri Mar 10 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 0cb3b9b
- Add systemd-cronjobs support

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 7a515f6
- x32 rebuild
- release 9 (by relup.sh)

* Tue Dec 02 2014 Elan Ruusamäe <glen@delfi.ee> f24e44b
- tmpwatch is usable for users as well. move to bin (sbin link preserved)

* Thu Mar 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e6f648c
- rel 7; run tmpwatch hourly to help busy servers

* Tue Jul 16 2013 Elan Ruusamäe <glen@delfi.ee> cdcff29
- no need for extra variable

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> bd3c3a0
- tmpwatch config: better desc, typo fix

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> c4b5d25
- rel 6

* Thu Mar 28 2013 Elan Ruusamäe <glen@delfi.ee> b7322ed
- no tab in doc

* Thu Mar 28 2013 Elan Ruusamäe <glen@delfi.ee> 4a3300e
- explain that TIME can contain optional suffix

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> 04662a6
- fix trigger for upgrading from 2.11-2

* Thu Jan 31 2013 Elan Ruusamäe <glen@delfi.ee> fa06781
- fix cron.d file permission

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> 24c4346
- allow tmpwatch interval be changed in cron.d config instead of fixed cron.daily schedule

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> 3fbf942
- only valid value for DISABLE_* is yes, no need for rc-scripts for that

* Wed Jan 30 2013 Elan Ruusamäe <glen@delfi.ee> 153133d
- soft dep on cron daemon

